Package jcifs.smb

# Class DosFileFilter

java.lang.Object
jcifs.smb.DosFileFilter

All Implemented Interfaces:
  `SmbFileFilter`

public class DosFileFilter extends Object implements SmbFileFilter

## Field Summary

Fields
Modifier and Type
Field
Description
`protected int`
`attributes`
`protected String`
`wildcard`

## Constructor Summary

Constructors
Constructor
Description
`DosFileFilter(String wildcard, int attributes)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`accept(SmbFile file)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### wildcard

protected String wildcard

### attributes

protected int attributes

## Constructor Details

### DosFileFilter

public DosFileFilter(String wildcard, int attributes)

## Method Details

### accept

public boolean accept(SmbFile file) throws SmbException

Specified by:
  `accept` in interface `SmbFileFilter`
Throws:
  `SmbException`